
MPOwnerEvent = {};
MPOwnerEvent_mt = Class(MPOwnerEvent, Event);
InitEventClass(MPOwnerEvent, "MPOwnerEvent");

function MPOwnerEvent:emptyNew()
	local self = Event:new(MPOwnerEvent_mt);
	return self;
end;

function MPOwnerEvent:new(vehicle, owner)

	local self = MPOwnerEvent:emptyNew();
	self.vehicle = vehicle;
	self.owner = owner;
  
	return self;
end;

function MPOwnerEvent:readStream(streamId, connection)

	local id = streamReadInt32(streamId)
	self.vehicle = networkGetObject(id);
	self.owner = streamReadString(streamId);
 
	self:run(connection);
end;

function MPOwnerEvent:writeStream(streamId, connection)

	local id = networkGetObjectId(self.vehicle)
	streamWriteInt32(streamId, id);
	streamWriteString(streamId, Utils.getNoNil(self.owner, ""));
end;

function MPOwnerEvent:run(connection)
	
	if not connection:getIsServer() then
		g_server:broadcastEvent(self, true);
	else
		if self.vehicle ~= nil then

			if self.vehicle.MPOwner == nil then
				self.vehicle.MPOwner = {};
				self.vehicle.MPOwner.owner = "";
			end;
			
			if self.vehicle.MPOwner.owner == nil then
				self.vehicle.MPOwner.owner = "";
			end;

			self.vehicle.MPOwner.owner = self.owner;
			
			--print("Besitzer setzen auf "..self.owner);
			
			--if self.vehicle.nonTabbable ~= nil then
			
				--print("nonTabbable setzen auf "..tostring((self.vehicle.MPOwner.owner ~= "" and self.vehicle.MPOwner.owner ~= g_currentMission.users[g_currentMission.playerUserId].nickname)));
			
				self.vehicle.nonTabbable = (self.vehicle.MPOwner.owner ~= "" and self.vehicle.MPOwner.owner ~= g_currentMission.users[g_currentMission.playerUserId].nickname);
			--end;
		end;
	end;
end;

--[[
function MPOwnerEvent:GetUserid(user)

	local userid = 0;

	for i = 1, table.getn(g_currentMission.users) do
	
		if g_currentMission.users[i].nickname == user then
			userid = g_currentMission.users[i].userId
		end
	end;
				
	--print("return "..userid)
	return userid

end

]]--